%global pkgname requests-unixsocket

Name:           python-%{pkgname}
Version:        0.1.5
Release:        1%{?dist}
Summary:        Use requests to talk HTTP via a UNIX domain socket
License:        ASL 2.0
URL:            https://github.com/msabramo/requests-unixsocket
Source0:        https://files.pythonhosted.org/packages/source/r/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-pytest >= 2.8
BuildRequires:  python3-pytest-pep8
BuildRequires:  python3-requests
BuildRequires:  python3-waitress

%global _description\
Use requests to talk HTTP via a UNIX domain socket

%description %_description

%package -n python3-%{pkgname}
Summary:        Use requests to talk HTTP via a UNIX domain socket
Requires:       python3

%description -n python3-%{pkgname} %_description

%prep
%setup -q -n %{pkgname}-%{version}

# Drop ambiguous shebang (TODO: submit upstream)
chmod -x requests_unixsocket/tests/test_requests_unixsocket.py
sed -i '\|^#!/usr/bin/env python|d' requests_unixsocket/tests/test_requests_unixsocket.py

%build
%{py3_build}

%install
%{py3_install}

%check
export PYTHONPATH=$(pwd)
py.test-%{python3_version} -v requests_unixsocket/tests

%files -n python3-%{pkgname}
%{python3_sitelib}/*
%license LICENSE
%doc README.rst

%changelog
* Mon Feb 25 2019 Ken Dreyer <kdreyer@redhat.com> - 0.1.5-1
- initial package
